import { Base } from './Base';
export declare class PrivateKey extends Base {
    protected _typeName: string;
    protected _passPhrase: string | null;
    protected _arrBuff: any;
    protected _wcaObjs: any;
    protected initialize(): Promise<this>;
    setPassPhrase(str: string): this;
    getPassPhrase(): string;
    decrypt(data: any, pad?: string, hash?: string): Promise<any>;
    getPublicKey(): Promise<any>;
    sign(strData: string, pad?: string, hash?: string): Promise<any>;
    getBits(): Promise<any>;
    getArrayBuffer(): any;
    getWcaObj(algoName: string, hashName: string, usage?: any): Promise<any>;
}
//# sourceMappingURL=PrivateKey.d.ts.map