import { BaseTool } from "./BaseTool";
export declare class RSA extends BaseTool {
    encrypt(keyObj: any, strData: string, pad?: string, hash?: string): Promise<any>;
    decrypt(keyObj: any, encData: any, pad?: string, hash?: string): Promise<any>;
    sign(keyObj: any, strData: string, pad?: string, hash?: string): Promise<any>;
    verifySign(keyObj: any, strData: string, sig: any, pad?: string, hash?: string): Promise<boolean>;
    createPrivateKey(bits?: number, passPhrase?: string): Promise<any>;
    getPublicKeyFromPrivateKey(keyObj: any): Promise<any>;
    getWcaObj(keyObj: any, algoName: string, hashName: string, usage?: any): Promise<CryptoKey>;
}
//# sourceMappingURL=RSA.d.ts.map